--[[
#include "avf_custom.lua"
#include "../weapon_templates/weapon_templates.lua"
]]--

--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {
		
	},
	turrets = {

	},
	guns = {
		["M256120MM"]  = {
			name 	= "M256 120MM Cannon",
			weaponType 				= "cannon",
			caliber 				= 120,
			default 				= "0",
			magazines 				= {
				[1] = {
					name = "M829A2 APFSDS",
					caliber 				= 120,
					velocity				= 680,
					explosionSize			= 0,
					maxPenDepth 			= 3.9,
					timeToLive 				= 7,
					gravityCoef 			= 0.9,
					launcher				= "cannon",
					payload					= "kinetic",
					shellWidth				= 0.1,
					shellHeight				= 1.3,
					r						= 12.5,
					g						= 9.6, 
					b						= 0.3, 
					shellSpriteName			= "MOD/gfx/shellModel2.png",
					shellSpriteRearName		= "MOD/gfx/shellRear2.png",
					magazineCapacity = 1,
					ammoCount = 0,
					magazineCount = 45,

				},
			[2] = {
					name = "M830A1 HEAT-MP",
					caliber 				= 100,
					velocity				= 400,
					explosionSize			= 1.5,
					maxPenDepth 			= 3.35,
					timeToLive 				= 7,
					gravityCoef 			= 0.9,
					launcher				= "cannon",
					payload					= "HEAT",
					shellWidth				= 0.15,
					shellHeight				= 0.9,
					r						= 0.3,
					g						= 9.3, 
					b						= 0.3, 
					shellSpriteName			= "MOD/gfx/sabot.png",
					shellSpriteRearName		= "MOD/gfx/sabotRear.png",
					magazineCapacity = 1,
					ammoCount = 0,
					magazineCount = 45,
				},
			[3] = {
					name = "M830 HEAT-MP",
					caliber 				= 100,
					velocity				= 350,
					explosionSize			= 2,
					maxPenDepth 			= 2.39,
					timeToLive 				= 7,
					gravityCoef 			= 0.9,
					launcher				= "cannon",
					payload					= "HEAT",
					shellWidth				= 0.15,
					shellHeight				= 0.55,
					r						= 0.3,
					g						= 9.3, 
					b						= 2.3, 
					shellSpriteName			= "MOD/gfx/sabot.png",
					shellSpriteRearName		= "MOD/gfx/sabotRear.png",
					magazineCapacity = 1,
					ammoCount = 0,
					magazineCount = 45,
			
				}, 
			},
			coax = 	{
				name = "M240H 7.62",
				sight					= {
					[1] = {
						x=0.5,
						y=2.3,
						z=0.0,
							},
											},
				barrels		= {
								[1] = {
									x = 0.75,
									y = 0.55,
									z = 0.2,
									}
								},
								scope_offset             = {
									[1] = {
										x = 0.00,
										y = 0.0
										},
												},
				RPM 					= 650,
				elevationSpeed			= .4,
				zoomSight               = "MOD/gfx/BPK-2-42.png",
				fireControlComputer		= "MOD/gfx/TEDAC1.png",
				canZoom					= true,
				soundFile   			= "MOD/sounds/machine_gun/gpmg_single_02.ogg",
				mouseDownSoundFile 		= "MOD/sounds/machine_gun/m2_single_01.ogg",
				reloadSound             = "MOD/sounds/alt_reload_reject",

				-- 				},
				
				magazines = {
					[1] = {
						name = "7.62×51mm m80",
						caliber 				= 7.62,
						velocity				= 125,
						explosionSize			= 0,
						maxPenDepth 			= 0.6,
						timeToLive 				= 7,
						gravityCoef 			= 0.5,--0.3,
						launcher				= "cannon",
						payload					= "AP",
						shellWidth				= 0.1,
						shellHeight				= 0.2,
						r						= 1.7,
						g						= 8.7, 
						b						= 1.7, 
						shellSpriteName			= "MOD/gfx/sabot.png",
						shellSpriteRearName		= "MOD/gfx/sabotRear.png",
						magazineCapacity = 500,
						ammoCount = 0,
						magazineCount = 2,
					},
					[2] = {
						name = "7.62×51mm m62",
						caliber 				= 7.62,
						velocity				= 125,
						explosionSize			= 0.1,
						maxPenDepth 			= 0.4,
						timeToLive 				= 7,
						gravityCoef 			= 0.9,--0.3,
						launcher				= "cannon",
						payload					= "he",
						shellWidth				= 0.1,
						shellHeight				= 0.1,
						r						= 1.7,
						g						= 8.7, 
						b						= 1.7, 
						shellSpriteName			= "MOD/gfx/sabot.png",
						shellSpriteRearName		= "MOD/gfx/sabotRear.png",
						magazineCapacity = 500,
						ammoCount = 0,
						magazineCount = 2,
					},
					},
			},
			loadedMagazine 			= 1,
			barrels 				= 
										{
											[1] = {x=0.25,y=0.25,z=-4.5}
										},
			sight					= {
										[1] = {
										x=0.5,
										y=2.3,
										z=0.0,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.00,
											y = 0.0
											},
									},
									canZoom                 = true,
									zoomSight               = "MOD/gfx/BPK-2-42.png",
									fireControlComputer		= "MOD/gfx/TEDAC1.png",
									highVelocityShells      = true,
									cannonBlast             = 5,
									RPM                     = 25,
									reload                  = 15,
									recoil                  = 0.0,
									weapon_recoil 			= 120000,
									dispersion              = 5,
									gunRange                = 3500,
									gunBias                 = -1,
									elevationSpeed          = .5,
									smokeFactor             = 9,
									smokeMulti              = 4,
									soundFile   			= "MOD/sounds/Relic_700_KV2Fire.ogg",
									reloadSound             = "MOD/sounds/AltTankReload",
		},
		
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}

